package de.intevation.flys.client.client.event;

import com.google.gwt.i18n.client.NumberFormat;

/**
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public class RangeFilterEvent {

    protected Float from;
    protected Float to;


    public RangeFilterEvent(String from, String to) {
        NumberFormat nf = NumberFormat.getDecimalFormat();
        double d;

        try {
            d = nf.parse(from);
            this.from = Float.valueOf(String.valueOf(d));
        }
        catch(NumberFormatException nfe) {
            this.from = Float.NaN;
        }
        try {
            d = nf.parse(to);
            this.to = Float.valueOf(String.valueOf(d));
        }
        catch(NumberFormatException nfe) {
            this.to = Float.NaN;
        }
    }


    public Float getFrom() {
        return this.from;
    }


    public Float getTo() {
        return this.to;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
